/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package dirstateparser;

import java.io.File;
import java.io.IOException;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author Administrator
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        if (args == null || args.length == 0) {
            args = new String[] { "H:\\work\\hgwicket\\.hg\\dirstate" };
        }
        File f = new File (args[0]);
        DirstateFile dirstate = new DirstateFile(f);
        Set<String> names = new HashSet<String>();
        try {
            for (FileEntry e : dirstate.allEntries()) {
                System.out.println(e);
                names.add(e.name());
            }
            for (String name : names) {
                long now = System.nanoTime();
                FileEntry e = dirstate.findEntry(name);
                long time = System.nanoTime() - now;
                System.err.println("Look up " + name + " took " + time + " nanoseconds");
                System.err.println("Found:  " + e);
            }

        } finally {
            dirstate.close();
        }
    }

}
